Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create agent provider hook

POST/workspaces/{organizationId}/agent/providers/{agentId}/hooks
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
agentIdstringrequired
Responses
200

Webhook accepted

okbooleanrequired
sessionIdstring
404

Session not found

Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/agent/providers/string/hooks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "ok": true,
  "sessionId": "string"
}